<!DOCTYPE html>
<html><head>
<title>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgUnshelveDataDialog</title>
<meta charset="UTF-8">
<link rel="stylesheet" href="styles.css">
</head>
<body>
<a NAME="top" ID="top"></a>
<h1>eric7.Plugins.VcsPlugins.vcsMercurial.ShelveExtension.HgUnshelveDataDialog</h1>
<p>
Module implementing a dialog to enter the data for an unshelve operation.
</p>

<h3>Global Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Classes</h3>
<table>
<tr>
<td><a href="#HgUnshelveDataDialog">HgUnshelveDataDialog</a></td>
<td>Class implementing a dialog to enter the data for an unshelve operation.</td>
</tr>
</table>

<h3>Functions</h3>
<table>
<tr><td>None</td></tr>
</table>

<hr />
<hr />
<a NAME="HgUnshelveDataDialog" ID="HgUnshelveDataDialog"></a>
<h2>HgUnshelveDataDialog</h2>
<p>
    Class implementing a dialog to enter the data for an unshelve operation.
</p>

<h3>Derived from</h3>
QDialog, Ui_HgUnshelveDataDialog
<h3>Class Attributes</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Class Methods</h3>
<table>
<tr><td>None</td></tr>
</table>

<h3>Methods</h3>
<table>
<tr>
<td><a href="#HgUnshelveDataDialog.__init__">HgUnshelveDataDialog</a></td>
<td>Constructor</td>
</tr>
<tr>
<td><a href="#HgUnshelveDataDialog.getData">getData</a></td>
<td>Public method to get the user data.</td>
</tr>
</table>

<h3>Static Methods</h3>
<table>
<tr><td>None</td></tr>
</table>


<a NAME="HgUnshelveDataDialog.__init__" ID="HgUnshelveDataDialog.__init__"></a>
<h4>HgUnshelveDataDialog (Constructor)</h4>
<b>HgUnshelveDataDialog</b>(<i>shelveNames, shelveName="", parent=None</i>)
<p>
        Constructor
</p>

<dl>

<dt><i>shelveNames</i> (list of str)</dt>
<dd>
list of available shelves
</dd>
<dt><i>shelveName</i> (str)</dt>
<dd>
name of the shelve to restore
</dd>
<dt><i>parent</i> (QWidget)</dt>
<dd>
reference to the parent widget
</dd>
</dl>
<a NAME="HgUnshelveDataDialog.getData" ID="HgUnshelveDataDialog.getData"></a>
<h4>HgUnshelveDataDialog.getData</h4>
<b>getData</b>(<i></i>)
<p>
        Public method to get the user data.
</p>

<dl>
<dt>Return:</dt>
<dd>
tuple containing the name and a flag indicating to keep the
            shelved change
</dd>
</dl>
<dl>
<dt>Return Type:</dt>
<dd>
tuple of (str, bool)
</dd>
</dl>
<div align="right"><a href="#top">Up</a></div>
<hr />
</body></html>
